


declare @fun  as int
declare @uid as varchar(100)
declare @eid as varchar(100)
select @uid=uid,@eid=eid from seg_usuario where id=1
select @fun=id from view_gui_funcionalidad where id_tipofuncionalidad= 3  and url='/forms/equ/horometros.aspx'

if not exists(
select * from view_gui_funcionalidad where id_funcionalidad in( 
select id from view_gui_funcionalidad where id_tipofuncionalidad= 3  and url='/forms/equ/horometros.aspx')
 and nombreComando in('crear','editar','eliminar')
and id_tipofuncionalidad=5)
begin 
INSERT INTO [gui_funcionalidad]
([uid],[eid],[id_usuario_modifico]
,[id_usuario_creo],[fechaModificacion]
,[fechaCreacion],[active]
,[funcionalidad],[funcionalidad_codigo]
,[urlImagen],[urlFormulario]
,[targetUrl],[url],[toolTip],[esMenu]
,[nombreControl],[nombreComando]
,[orden],[id_funcionalidad],[id_tipoFuncionalidad])
VALUES
(@uid,@eid,1,1,getdate(),getdate(),1,'Nuevo horometro'
,'','','','','','',0,'','crear',1,@fun,5)
INSERT INTO [gui_funcionalidad]
([uid],[eid],[id_usuario_modifico]
,[id_usuario_creo],[fechaModificacion]
,[fechaCreacion],[active]
,[funcionalidad],[funcionalidad_codigo]
,[urlImagen],[urlFormulario]
,[targetUrl],[url],[toolTip],[esMenu]
,[nombreControl],[nombreComando]
,[orden],[id_funcionalidad],[id_tipoFuncionalidad])
VALUES
(@uid,@eid,1,1,getdate(),getdate(),1,'Editar horometro'
,'','','','','','',0,'','editar',1,@fun,5)
INSERT INTO [gui_funcionalidad]
([uid],[eid],[id_usuario_modifico]
,[id_usuario_creo],[fechaModificacion]
,[fechaCreacion],[active]
,[funcionalidad],[funcionalidad_codigo]
,[urlImagen],[urlFormulario]
,[targetUrl],[url],[toolTip],[esMenu]
,[nombreControl],[nombreComando]
,[orden],[id_funcionalidad],[id_tipoFuncionalidad])
VALUES
(@uid,@eid,1,1,getdate(),getdate(),1,'Eliminar horometro'
,'','','','','','',0,'','Eliminar',1,@fun,5)
end